	component nios_system is
		port (
			audio_conduit_end_XCK          : out   std_logic;                                        -- XCK
			audio_conduit_end_ADCDAT       : in    std_logic                     := 'X';             -- ADCDAT
			audio_conduit_end_ADCLRC       : in    std_logic                     := 'X';             -- ADCLRC
			audio_conduit_end_DACDAT       : out   std_logic;                                        -- DACDAT
			audio_conduit_end_DACLRC       : in    std_logic                     := 'X';             -- DACLRC
			audio_conduit_end_BCLK         : in    std_logic                     := 'X';             -- BCLK
			audio_i2c_export_scl_pad_io    : inout std_logic                     := 'X';             -- scl_pad_io
			audio_i2c_export_sda_pad_io    : inout std_logic                     := 'X';             -- sda_pad_io
			clk_clk                        : in    std_logic                     := 'X';             -- clk
			key_external_connection_export : in    std_logic_vector(3 downto 0)  := (others => 'X'); -- export
			led_external_connection_export : out   std_logic_vector(9 downto 0);                     -- export
			sw_external_connection_export  : in    std_logic_vector(9 downto 0)  := (others => 'X'); -- export
			reset_reset_n                  : in    std_logic                     := 'X';             -- reset_n
			seg7_conduit_end_export        : out   std_logic_vector(47 downto 0)                     -- export
		);
	end component nios_system;

	u0 : component nios_system
		port map (
			audio_conduit_end_XCK          => CONNECTED_TO_audio_conduit_end_XCK,          --       audio_conduit_end.XCK
			audio_conduit_end_ADCDAT       => CONNECTED_TO_audio_conduit_end_ADCDAT,       --                        .ADCDAT
			audio_conduit_end_ADCLRC       => CONNECTED_TO_audio_conduit_end_ADCLRC,       --                        .ADCLRC
			audio_conduit_end_DACDAT       => CONNECTED_TO_audio_conduit_end_DACDAT,       --                        .DACDAT
			audio_conduit_end_DACLRC       => CONNECTED_TO_audio_conduit_end_DACLRC,       --                        .DACLRC
			audio_conduit_end_BCLK         => CONNECTED_TO_audio_conduit_end_BCLK,         --                        .BCLK
			audio_i2c_export_scl_pad_io    => CONNECTED_TO_audio_i2c_export_scl_pad_io,    --        audio_i2c_export.scl_pad_io
			audio_i2c_export_sda_pad_io    => CONNECTED_TO_audio_i2c_export_sda_pad_io,    --                        .sda_pad_io
			clk_clk                        => CONNECTED_TO_clk_clk,                        --                     clk.clk
			key_external_connection_export => CONNECTED_TO_key_external_connection_export, -- key_external_connection.export
			led_external_connection_export => CONNECTED_TO_led_external_connection_export, -- led_external_connection.export
			sw_external_connection_export  => CONNECTED_TO_sw_external_connection_export,  --  sw_external_connection.export
			reset_reset_n                  => CONNECTED_TO_reset_reset_n,                  --                   reset.reset_n
			seg7_conduit_end_export        => CONNECTED_TO_seg7_conduit_end_export         --        seg7_conduit_end.export
		);

