// Sdram_WR_FIFO.v

// Generated using ACDS version 24.1 115

`timescale 1 ps / 1 ps
module Sdram_WR_FIFO (
		input  wire [15:0] data,    //  fifo_input.datain
		input  wire        wrreq,   //            .wrreq
		input  wire        rdreq,   //            .rdreq
		input  wire        wrclk,   //            .wrclk
		input  wire        rdclk,   //            .rdclk
		input  wire        aclr,    //            .aclr
		output wire [15:0] q,       // fifo_output.dataout
		output wire [8:0]  rdusedw, //            .rdusedw
		output wire [8:0]  wrusedw, //            .wrusedw
		output wire        rdempty, //            .rdempty
		output wire        wrfull   //            .wrfull
	);

	Sdram_WR_FIFO_fifo_1927_lqugtjq fifo_0 (
		.data    (data),    //   input,  width = 16,  fifo_input.datain
		.wrreq   (wrreq),   //   input,   width = 1,            .wrreq
		.rdreq   (rdreq),   //   input,   width = 1,            .rdreq
		.wrclk   (wrclk),   //   input,   width = 1,            .wrclk
		.rdclk   (rdclk),   //   input,   width = 1,            .rdclk
		.aclr    (aclr),    //   input,   width = 1,            .aclr
		.q       (q),       //  output,  width = 16, fifo_output.dataout
		.rdusedw (rdusedw), //  output,   width = 9,            .rdusedw
		.wrusedw (wrusedw), //  output,   width = 9,            .wrusedw
		.rdempty (rdempty), //  output,   width = 1,            .rdempty
		.wrfull  (wrfull)   //  output,   width = 1,            .wrfull
	);

endmodule
