package emif_hps_emif_ph2_phy_arch_fp_610_tfjj4pq_atom_attr_pll;
   localparam bit IS_USED                                                            = 1;
   localparam string BANDWIDTH_MODE                                                  = "BANDWIDTH_MODE_AUTO";
   localparam [15:0] BASE_ADDRESS                                                    = 16'd281;
   localparam string CASCADE_MODE                                                    = "CASCADE_MODE_STANDALONE";
   localparam string CLK_SWITCH_AUTO_EN                                              = "FALSE";
   localparam string CLK_SWITCH_MANUAL_EN                                            = "FALSE";
   localparam string COMPENSATION_CLK_SOURCE                                         = "COMPENSATION_CLK_SOURCE_UNUSED";
   localparam string COMPENSATION_MODE                                               = "COMPENSATION_MODE_DIRECT";
   localparam int unsigned FB_CLK_DELAY                                              = 32'd0;
   localparam int unsigned FB_CLK_FRACTIONAL_DIV_DEN                                 = 32'd0;
   localparam int unsigned FB_CLK_FRACTIONAL_DIV_NUM                                 = 32'd0;
   localparam int unsigned FB_CLK_FRACTIONAL_DIV_VALUE                               = 32'd0;
   localparam int FB_CLK_M_DIV                                                       = 9'd8;
   localparam string OUT_CLK_CASCADING_SOURCE                                        = "OUT_CLK_CASCADING_SOURCE_UNUSED";
   localparam string OUT_CLK_CORE_EN  [0:6]                                          = '{"TRUE", "TRUE", "FALSE", "FALSE", "FALSE", "FALSE", "FALSE"};
   localparam int OUT_CLK_C_DIV  [0:6]                                               = '{9'd2, 9'd8, 9'd1, 9'd1, 9'd1, 9'd1, 9'd1};
   localparam int unsigned OUT_CLK_DELAY  [0:6]                                      = '{32'd0, 32'd0, 32'd0, 32'd0, 32'd0, 32'd0, 32'd0};
   localparam int unsigned OUT_CLK_DUTYCYCLE_DEN  [0:6]                              = '{32'd4, 32'd16, 32'd2, 32'd2, 32'd2, 32'd2, 32'd2};
   localparam int unsigned OUT_CLK_DUTYCYCLE_NUM  [0:6]                              = '{32'd2, 32'd8, 32'd1, 32'd1, 32'd1, 32'd1, 32'd1};
   localparam int unsigned OUT_CLK_DUTYCYCLE_PERCENT  [0:6]                          = '{32'd50, 32'd50, 32'd50, 32'd50, 32'd50, 32'd50, 32'd50};
   localparam string OUT_CLK_EXTERNAL_SOURCE  [0:1]                                  = '{"OUT_CLK_EXTERNAL_0_SOURCE_UNUSED", "OUT_CLK_EXTERNAL_1_SOURCE_UNUSED"};
   localparam [35:0] OUT_CLK_FREQ  [0:6]                                             = '{36'd600000000, 36'd150000000, 36'd1200000000, 36'd1200000000, 36'd1200000000, 36'd1200000000, 36'd1200000000};
   localparam int unsigned OUT_CLK_PERIPH_DELAY  [0:1]                               = '{32'd0, 32'd0};
   localparam string OUT_CLK_PERIPH_EN  [0:1]                                        = '{"TRUE", "TRUE"};
   localparam int unsigned OUT_CLK_PHASE_PS  [0:6]                                   = '{32'd0, 32'd0, 32'd0, 32'd0, 32'd0, 32'd0, 32'd0};
   localparam int unsigned OUT_CLK_PHASE_SHIFTS  [0:6]                               = '{32'd0, 32'd0, 32'd8, 32'd8, 32'd8, 32'd8, 32'd8};
   localparam [31:0] PFD_CLK_FREQ                                                    = 32'd150000000;
   localparam string PROTOCOL_MODE                                                   = "PROTOCOL_MODE_EMIF_MODE";
   localparam int unsigned REF_CLK_DELAY                                             = 32'd0;
   localparam int REF_CLK_N_DIV                                                      = 9'd1;
   localparam [31:0] REF_CLK_FREQ  [0:1]                                             = '{32'd150000000, 32'd100000000};
   localparam string SELF_RESET_EN                                                   = "FALSE";
   localparam string SET_DUTYCYCLE                                                   = "SET_DUTYCYCLE_FRACTION";
   localparam string SET_FRACTIONAL                                                  = "SET_FRACTIONAL_PERCENT";
   localparam string SET_FREQ                                                        = "SET_FREQ_DIVISION_VERIFY";
   localparam string SET_PHASE                                                       = "SET_PHASE_NUM_SHIFTS";
   localparam [35:0] VCO_CLK_FREQ                                                    = 36'd1200000000;
endpackage
